//
//  SearchResults.swift
//  Pachyderm
//
//  Created by Shadowfacts on 9/9/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import Foundation

public struct SearchResults: Decodable, Sendable {
    public let accounts: [Account]
    public let statuses: [Status]
    public let hashtags: [Hashtag]
    
    private enum CodingKeys: String, CodingKey {
        case accounts
        case statuses
        case hashtags
    }
}
